<?xml version="1.0" encoding="ISO-8859-15"?>
<!-- 
 *   Copyright (C) 2002, 2003, 2004 Jatec AG, Switzerland
 *
 * This file is part of IronMailer.
 *
 * IronMailer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="page">

<html>
	<head>
		<title><xsl:value-of select="normalize-space(title)" /></title>
		<meta content="AUTHOR" value="jwk"/>
		<link type="text/css" href="ironmailercss" rel="stylesheet" />
	</head>

	<body class="body_bg">

		<xsl:if test="error">
		        <p class="simpletext" align="center">
		            <span class="bold">
		            	<xsl:value-of select="error/header"/>
			   </span>.
			</p>
		        <p align="center">&#160;</p>
 			<p align="center">&#160;</p>
 			<xsl:comment>Error content: <xsl:value-of select="error/content"/></xsl:comment>
 			<xsl:comment>Error stack: <xsl:value-of select="error/stack"/></xsl:comment>
		</xsl:if>
		
		<xsl:if test="extra">
		        <p class="simpletext" align="center">
		            	<xsl:value-of select="normalize-space(extra)"/>
			</p>
		</xsl:if>
		
	</body>
</html>

</xsl:template>


</xsl:stylesheet>
