<?xml version="1.0" encoding="ISO-8859-15"?>
<!-- 
 *   Copyright (C) 2002, 2003, 2004 Jatec AG, Switzerland
 *
 * This file is part of IronMailer.
 *
 * IronMailer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="page">

<xsl:variable name="refreshlink" 
  select="'folder.xsl?act=folder&amp;folderNr=0&amp;refresh=true&amp;refreshAll=true'"/>
<xsl:variable name="composelink"
  select="'compose.xsl?act=compose'"/>
<xsl:variable name="addresseslink"
  select="'addresses.xsl?act=addresses'"/>
<xsl:variable name="setupfolderslink"
  select="'setupfolders.xsl?act=setupfolders'"/>
<xsl:variable name="setupuserlink"
  select="'setupuser.xsl?act=setupuser'"/>
<xsl:variable name="helplink"
  select="'docs/help.html'"/>
<xsl:variable name="mainwindowlink"
  select="'entry.xsl'"/>
<xsl:variable name="logoutlink"
  select="'logout'"/>

<html>
  <head>
	<title><xsl:value-of select="title" />&#160;<xsl:value-of select="user" /></title>
	<meta content="AUTHOR" value="jwk"/>
	<link type="text/css" href="ironmailercss" rel="stylesheet" />
  </head>
	  
  <body class="titlebar_body">

      <!-- outer table used only for formatting: I want a nice border
       around the whole thing, but not between the pseudo-columns
       Could not find a simpler way to do this :(
      -->
      <table cellpadding="0" cellspacing="0" border="1" width="100%">
      <tbody>
      <tr>
       <td>

        <table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tbody>
	 <tr class="field_light_bg" border="0">

		<td align="left">
			    <a target="_top" href="http://www.nongnu.org/ironmailer">
				<img alt="Product logo" src="images/ironmailer_logo_titlebar.png" border="0"/>
			    </a>
	        </td>


	   <!-- Column for navigation button table -->
	   <td align="left" border="0">
	     <table cellpadding="0" cellspacing="0" border="0">
             <tbody>
	      <!-- Row with pictures -->
               <tr>
		   <!-- Refresher -->
		   <td align="center">
                	<a target="Main">
			  <xsl:attribute name="href" >
			     <xsl:value-of select="$refreshlink"/>
			  </xsl:attribute>
			  <xsl:attribute name="onmouseover">
			     self.status='<xsl:value-of select="refresh_text"/>';
                          </xsl:attribute>
                	  <img border="0" src="images/gnome/refresh-blue.png" class="image_nav">
				<xsl:attribute name="alt">
					<xsl:value-of select="refresh_buttonlabel"/>
				</xsl:attribute>
                	  </img>
                	</a>
		    </td>

			<!-- Composer -->
			<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$composelink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="composerhelp"/>';
				</xsl:attribute>
                			<img alt="MailboxList" border="0" src="images/gnome/composer.png" class="image_nav">
					<xsl:attribute name="alt">
						<xsl:value-of select="composer"/>&#160;<xsl:value-of select="composer2" />
					</xsl:attribute>
                			</img>
                		</a>
			</td>
			<!-- Addresses -->
			<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$addresseslink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="addresshelp"/>';
				</xsl:attribute>
                			<img border="0" src="images/gnome/addresses.png" class="image_nav">
					   <xsl:attribute name="alt">
						<xsl:value-of select="addresses"/>&#160;<xsl:value-of select="addresses" />
					   </xsl:attribute>
                			</img>
                		</a>
			</td>
			<!-- Folder Setup -->            
			<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$setupfolderslink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="foldersetuphelp"/>';
				</xsl:attribute>
                			<img alt="MailboxList" border="0" src="images/gnome/foldersetup.png" class="image_nav">
					<xsl:attribute name="alt">
						<xsl:value-of select="foldersetup"/>&#160;<xsl:value-of select="foldersetup2" />
					</xsl:attribute>
                			</img>
                		</a>
			</td>
			<!-- User Setup -->            
			<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$setupuserlink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="usersetuphelp"/>';
				</xsl:attribute>
                			<img alt="configuration" border="0" src="images/gnome/configuration.png" class="image_nav">
					<xsl:attribute name="alt">
						<xsl:value-of select="usersetup"/>&#160;<xsl:value-of select="usersetup2" />
					</xsl:attribute>
                			</img>
                		</a>
			</td>
			<!-- Help -->            
			<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$helplink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="helphelp"/>';
				</xsl:attribute>
                			<img alt="help" border="0" src="images/gnome/help.png" class="image_nav">
					<xsl:attribute name="alt">
						<xsl:value-of select="help"/>&#160;<xsl:value-of select="help2" />
					</xsl:attribute>
                			</img>
                		</a>
			</td>
			<!-- link to entry window -->
		<td align="center">
                	<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$mainwindowlink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="mainwindowhelp"/>';
				</xsl:attribute>
                			<img alt="MailboxList" border="0" src="images/gnome/home.png" class="image_nav">
						<xsl:attribute name="alt">
							<xsl:value-of select="mainwindow"/>&#160;<xsl:value-of select="mainwindow2" />
						</xsl:attribute>
                			</img>
                	</a>
		</td>
			
               </tr>

               <!-- Row with labels -->
	       <tr>
	        <!-- Refresher -->
		<td align="center">
               	  <a target="Main">
			  <xsl:attribute name="href" >
			     <xsl:value-of select="$refreshlink"/>
			  </xsl:attribute>
			<xsl:attribute name="onmouseover">
				self.status='<xsl:value-of select="refresh_text"/>';
			</xsl:attribute>
			<p class="navigation"><xsl:value-of select="refresh_buttonlabel" /><br /><xsl:value-of select="refresh_shorttext" /></p>
		  </a>
		</td>
		<!-- -->
		<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$composelink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="composerhelp"/>';
				</xsl:attribute>
				<p class="navigation"><xsl:value-of select="composer" /><br /><xsl:value-of select="composer2" /></p>
			</a>
		</td>
		<td align="center">
                		<a target="Main" href="addresses.xsl?act=addresses">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$addresseslink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="addresseshelp"/>';
				</xsl:attribute>
				<p class="navigation"><xsl:value-of select="addresses" /><br /><xsl:value-of select="addresses2" /></p>
			</a>
		</td>
		<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$setupfolderslink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="foldersetuphelp"/>';
				</xsl:attribute>
				<p class="navigation"><xsl:value-of select="foldersetup" /><br /><xsl:value-of select="foldersetup2" /></p>
			</a>
		</td>
		<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$setupuserlink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="usersetuphelp"/>';
				</xsl:attribute>
				<p class="navigation"><xsl:value-of select="usersetup" /><br /><xsl:value-of select="usersetup2" /></p>
			</a>
		</td>
		<td align="center">
                		<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$helplink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="helphelp"/>';
				</xsl:attribute>
				<p class="navigation"><xsl:value-of select="help" /><br /><xsl:value-of select="help2" /></p>
			</a>
		</td>
                <td align="center">
                	<a target="Main">
				  <xsl:attribute name="href" >
				    <xsl:value-of select="$mainwindowlink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="mainwindowhelp"/>';
				</xsl:attribute>
                        <p class="navigation"><xsl:value-of select="mainwindow" /><br /><xsl:value-of select="mainwindow2" /></p>
                    </a>
                </td>
	       </tr>
	     <!-- end of table for navigation buttons -->
             </tbody>
	     </table>
	    </td>


	   <!-- Column for right hand button table -->
	   <td align="right" border="0">
	     <table cellpadding="0" cellspacing="0" border="0">
             <tbody>
	       <tr>
			<!-- Logout -->            
			<td align="center">
                		<a target="_top">
				  <xsl:attribute name = "href">
				    <xsl:value-of select="$logoutlink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="logouthelp"/>';
				</xsl:attribute>
                			<img alt="MailboxList" border="0" src="images/gnome/closed.png" class="image_nav">
					<xsl:attribute name="alt">
						<xsl:value-of select="logout"/>&#160;<xsl:value-of select="logout2" />
					</xsl:attribute>
                			</img>
                		</a>
			</td>
		</tr>
		<tr>
		<td align="center">
                		<a target="_top">
				  <xsl:attribute name = "href">
				    <xsl:value-of select="$logoutlink"/>
				  </xsl:attribute>
				<xsl:attribute name="onmouseover">
					self.status='<xsl:value-of select="logouthelp"/>';
				</xsl:attribute>
				<p class="navigation"><xsl:value-of select="logout" /><br /><xsl:value-of select="logout2" /></p>
			</a>
		</td>

	       </tr>

	     <!-- end of table for navigation buttons -->
             </tbody>
	     </table>
	    </td>

	   </tr>

        </tbody></table>

	<!-- now end outer, formatting table -->
          </td></tr>
        </tbody></table>

    </body>
    
</html>
	  
</xsl:template>
	

</xsl:stylesheet>
